# txpool

### **content():** `TxPoolResult<PoolTransactionMap<PoolTransaction>>`

* **interface**: `api.rpc.txpool.content`
* **jsonrpc**: `txpool_content`
* **summary**: Lists the exact details of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.

### **inspect(): `TxPoolResult<PoolTransactionMap<PoolSummary>>`**

* **interface**: `api.rpc.txpool.inspect`
* **jsonrpc**: `txpool_inspect`
* **summary**: Lists a textual summary of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.

### **status(): `TxPoolResult<U256>`**

* **interface**: `api.rpc.txpool.status`
* **jsonrpc**: `txpool_status`
* **summary**: Lists the number of transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bifrostnetwork.com/bifrost-network/developer-documentations/client-api/json-rpc-api/txpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
